Skip to main content
POST
/
v1
/
lists
/
{id}
/
items
Add list items
curl --request POST \
  --url https://api.stardex.ai/v1/lists/{id}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "person_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "company_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "success": true,
  "data": {
    "list_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee1111",
    "list_type": "persons",
    "added_ids": [
      "ccc33333-dddd-eeee-ffff-000000003333"
    ],
    "reactivated_ids": [],
    "already_present_ids": [],
    "failed": [
      {
        "id": "99999999-8888-7777-6666-555555555555",
        "reason": "not_found"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.stardex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate with a Bearer token: API key, OAuth token, or session token.

Path Parameters

id
string
required

List UUID

Body

application/json
person_ids
string<uuid>[]

Person UUIDs to add or remove. Only valid for lists with list_type "persons".

company_ids
string<uuid>[]

Company UUIDs to add or remove. Only valid for lists with list_type "companies".

Response

List items added

success
enum<boolean>
required
Available options:
true
data
object
required